[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TBookmarkList.Refresh

Searches for and removes invalid Bookmarks in the list.

## Declaration

Source position: dbgrids.pas line 179

`public function TBookmarkList.Refresh: Boolean;`

## Function result

True when the bookmark list was updated and the grid was refreshed.

## Description

Refresh searches for and removes invalid Bookmarks in the list. The return value is True if an invalid TBookmark instance was found and removed in the method; it also indicates that the Invalidate method in the associated Grid control was called prior to exiting from the method.